Bug 852314 - replace brick - better failure handling in two phase commit
replace brick - better failure handling in two phase commit
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: krishnan parthasarathi
Sudhir D
:
Depends On: GLUSTER-2121
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 03:36 EDT by Vidya Sakar
Modified: 2015-11-03 18:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: GLUSTER-2121
Environment:
Last Closed: 2012-10-05 13:21:35 EDT
Type: ---
Regression: RTP
Mount Type: All
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-28 03:36:38 EDT
+++ This bug was initially created as a clone of Bug #763853 +++

when replace-brick start fails-it should all terminate the new process started by replace-brick operation on source and target bricks.
--------------------------------
# gluster volume replace-brick QA8 172.24.21.134:/mnt/311qa8 172.24.21.132:/mnt/311qa8 start 
Replacing brick from Volume QA8 failed
[root@compute-241-04 ~]# ps aux | grep gluster
root      2237  0.0  0.3  78064 14696 ?        Ssl  23:33   0:00 glusterd
root      2321  5.4  0.4 218308 16764 ?        Ssl  23:36   0:28 /usr/local/sbin/glusterfsd --xlator-option QA8-server.listen-port=24009 -s localhost --volfile-id QA8.172.24.21.133.mnt-311qa8 -p /etc/glusterd/vols/QA8/run/172.24.21.133-mnt-311qa8.pid --brick-name /mnt/311qa8 --brick-port 24009 -l /usr/local/var/log/glusterfs/bricks/mnt-311qa8.log
root      2326  6.8  1.2 180912 51288 ?        Ssl  23:36   0:35 /usr/local/sbin/glusterfs -f /etc/glusterd/nfs/nfs-server.vol -p /etc/glusterd/nfs/run/nfs.pid -l /usr/local/var/log/glusterfs/nfs.log

~~~~~~~~~~>>>>root      2406  0.0  0.2  62584  9052 ?        Ssl  23:40   0:00 /usr/local/sbin/glusterfs -f /etc/glusterd/vols/QA8/rb_client.vol /etc/glusterd/vols/QA8/rb_mount

==============================
target brick 

# ps aux | grep gluster
root      2039  0.0  0.3  78076 14580 ?        Ssl  22:38   0:00 glusterd
~~~~~~~~~~>>>> root      2085  0.0  0.1  60316  6792 ?        Ssl  22:40   0:00 /usr/local/sbin/glusterfs -f /etc/glusterd/vols/QA8/rb_dst_brick.vol -p /etc/glusterd/vols/QA8/rb_dst_brick.pid --xlator-option src-server.listen-port=24009

--------------------------------

--- Additional comment from kparthas@redhat.com on 2012-07-11 03:40:56 EDT ---

Glusterd doesn't have a mechanism to rollback effects of a failed commit operation. This is true for all the CLI commands. This is not specific to replace-brick operation.
Comment 2 Amar Tumballi 2012-10-05 13:21:35 EDT
replace-brick functionality can be achieved by 'add-brick + remove-brick' today, so not planning to work on that.

Note You need to log in before you can comment on or make changes to this bug.